This is to avoid 'make check' fail if this extra test case is not
configured.

Signed-off-by: David Sommerseth <d...@users.sourceforge.net>
---
 t_client.sh.in |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/t_client.sh.in b/t_client.sh.in
index 664b2fd..d3a4295 100755
--- a/t_client.sh.in
+++ b/t_client.sh.in
@@ -12,6 +12,16 @@
 # - for "ping6" checks: fping6 binary in $PATH
 #

+if [ -r ./t_client.rc ] ; then
+    . ./t_client.rc
+elif [ -r "${srcdir}"/t_client.rc ] ; then
+    . "${srcdir}"/t_client.rc
+else
+    echo "$0: cannot find 't_client.rc' in current directory or" >&2
+    echo "$0: source dir ('${srcdir}').  SKIPPING TEST." >&2
+    exit 77
+fi
+
 if [ ! -x ./openvpn ]
 then
     echo "no (executable) openvpn binary in current directory. FAIL." >&2
@@ -24,16 +34,6 @@ then
     exit 1
 fi

-if [ -r ./t_client.rc ] ; then
-    . ./t_client.rc
-elif [ -r "${srcdir}"/t_client.rc ] ; then
-    . "${srcdir}"/t_client.rc
-else
-    echo "cannot find 't_client.rc' in current directory or" >&2
-    echo "source dir ('${srcdir}').  FAIL." >&2
-    exit 1
-fi
-
 if [ -z "$CA_CERT" ] ; then
     echo "CA_CERT not defined in 't_client.rc'. SKIP test." >&2
     exit 0
-- 
1.7.2.1


Reply via email to